      subroutine set_weights
      


      use Agrif_Util
#include "Param_BeforeCall_set_weights.h"
      

        call Sub_Loop_set_weights( Agrif_tabvars_i(176)%iarray0, Agrif_t
     &abvars(60)%array2, Agrif_tabvars(7)%array2, Agrif_tabvars_i(146)%i
     &array0, Agrif_tabvars_i(161)%iarray0, Agrif_tabvars_i(8)%iarray0, 
     &Agrif_tabvars_i(13)%iarray0, Agrif_tabvars_i(2)%iarray0, Agrif_tab
     &vars_i(7)%iarray0, Agrif_tabvars_i(14)%iarray0, Agrif_tabvars_i(4)
     &%iarray0)

      end


#include "Sub_Loop_set_weights.h"
